Bullet Collision Detection & Physics Library: btQuickprof.h File Reference

Bullet Collision Detection & Physics Library

Classes | Macros | Typedefs | Functions | Variables
btQuickprof.h File Reference
`#include "btScalar.h"`
`#include <stdio.h>`
`#include "btAlignedAllocator.h"`
`#include <new>`
Include dependency graph for btQuickprof.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | btClock
| The btClock is a portable basic clock that measures accurate time in seconds, use for profiling. More...
class | CProfileNode
| A node in the Profile Hierarchy Tree. More...
class | CProfileIterator
| An iterator to navigate through the tree. More...
class | CProfileManager
| The Manager for the Profile system. More...
class | CProfileSample
| ProfileSampleClass is a simple way to profile a function's scope Use the BT_PROFILE macro at the start of scope to time. More...

## Macros
#define | USE_BT_CLOCK 1
#define | BT_PROFILE(name) CProfileSample __profile( name )

## Typedefs
typedef void() | btEnterProfileZoneFunc(const char *msg)
typedef void() | btLeaveProfileZoneFunc()

## Functions
btEnterProfileZoneFunc * | btGetCurrentEnterProfileZoneFunc ()
btLeaveProfileZoneFunc * | btGetCurrentLeaveProfileZoneFunc ()
void | btSetCustomEnterProfileZoneFunc (btEnterProfileZoneFunc *enterFunc)
void | btSetCustomLeaveProfileZoneFunc (btLeaveProfileZoneFunc *leaveFunc)
unsigned int | btQuickprofGetCurrentThreadIndex2 ()

## Variables
const unsigned int | BT_QUICKPROF_MAX_THREAD_COUNT = 64

## Macro Definition Documentation

## ◆ BT_PROFILE

#define BT_PROFILE | ( |  | name | ) | CProfileSample __profile( name )

Definition at line 215 of file btQuickprof.h.

## ◆ USE_BT_CLOCK

#define USE_BT_CLOCK 1

Definition at line 19 of file btQuickprof.h.

## Typedef Documentation

## ◆ btEnterProfileZoneFunc

typedef void() btEnterProfileZoneFunc(const char *msg)

Definition at line 57 of file btQuickprof.h.

## ◆ btLeaveProfileZoneFunc

typedef void() btLeaveProfileZoneFunc()

Definition at line 58 of file btQuickprof.h.

## Function Documentation

## ◆ btGetCurrentEnterProfileZoneFunc()

btEnterProfileZoneFunc* btGetCurrentEnterProfileZoneFunc | ( |  | ) |

Definition at line 761 of file btQuickprof.cpp.

## ◆ btGetCurrentLeaveProfileZoneFunc()

btLeaveProfileZoneFunc* btGetCurrentLeaveProfileZoneFunc | ( |  | ) |

Definition at line 765 of file btQuickprof.cpp.

## ◆ btQuickprofGetCurrentThreadIndex2()

unsigned int btQuickprofGetCurrentThreadIndex2 | ( |  | ) |

Definition at line 686 of file btQuickprof.cpp.

## ◆ btSetCustomEnterProfileZoneFunc()

void btSetCustomEnterProfileZoneFunc | ( | btEnterProfileZoneFunc * | enterFunc | ) |

Definition at line 771 of file btQuickprof.cpp.

## ◆ btSetCustomLeaveProfileZoneFunc()

void btSetCustomLeaveProfileZoneFunc | ( | btLeaveProfileZoneFunc * | leaveFunc | ) |

Definition at line 775 of file btQuickprof.cpp.

## Variable Documentation

## ◆ BT_QUICKPROF_MAX_THREAD_COUNT

const unsigned int BT_QUICKPROF_MAX_THREAD_COUNT = 64

Definition at line 77 of file btQuickprof.h.